מחשב כף יד

צפייה בגרסה מלאה : ה- Dev Team משחררים את Pwnage 3.1.5 לפריצת גירסה 3.1.3 - נא לקרוא בתשומת לב!



natish
08/02/10, 16:40
‏ה- Dev Team שיחררו תוך מספר ימים ספורים את תוכנת הפריצה שלהם לפלטפורמת המק PwnageTool שמאפשרת למשתמשי המק ליצור קובץ קושחה "מבושל" או כפי שרבים קוראים לו "קסטום" כך שתוך כדי ביצוע פעולת הרסטור מותקנים חלקי קוד הפריצה והמכשיר אחרי הרסטור משודרג ופרוץ. אך בניגוד לגירסאות הקודמות הפעם הדברים לא פשוטים כל כך ויש לא מעט סייגים. השורה התחתונה היא לא לשדרג!


‏http://img.skitch.com/20100208-bxebmqi83dmdmf7tp5bp3mxfij.jpg

ביום חמישי אפל שיחררה באופן מפתיע את גירסה 3.1.3 למכשירי האייפון והאייפוד טאץ'. אלא אם כן באופן אישי התנסיתם עם בעיה לגבי חיווי מצב הסוללה במכשיר אין שום סיבה לשדרג לגירסה החדשה. למרות זאת בטוח שחלק מכם ינסה לעשות את זה בכל זאת. בהנחה שלא מדובר במשדרגים ששדרגו את מכשירם בטעות גירסת ה- PwnageTool החדשה, 3.1.5 , לאפשר לכם לעשות זאת באופן פשוט ובטוח מבלי לשדרג את גירסת המודם שלכם חשוב לציין שמדובר רק באלו ששדרגו ל- 3.1/3.1.2 עם PwnageTool 3.1.4
כך שגירסת המודם שלהם היא מתאימה לזו של גירסה 3.0/3.0.1. מי ששדרג לגירסה 3.1/3.1.2 ומשתמש ב- blacksn0w לפריצה שישאר בגירסה 3.1.2 ולא יעדכן בשום אופן!

באופן כללי בעלי האייפון 3Gs וה- 3G שרכשו את המכשיר שלהם בחו"ל והוא לא סימפרי, צריכים להיות זהירים מאוד לגבי שדרוג גירסת המכשיר שלהם מאחר וטעות קטנה יכולה לגרום לכך שהמכשיר ישאר נעול עד לשיחרור הגירסה הבאה. ה- Dev Team רשמו בבלוג שלהם שלדעתם אפל שיחררה את גירסה 3.1.3 כדי לגרום לקבוצות הפריצה לשחרר את הכלים שלהם ואת מנגנוני הפריצה שהם עובדים עליהם אבל ה- Dev Team אומרים שהם לא נוגסים בפתיון והם ממתינים לגירסאות 3.2 ו- 4.0 (יש חלק שאומרים שגירסה 3.2 היא מעין הגירסה הבאה הגדולה לאייפון). מה שאומר שהם מכינים משהו.

אנחנו עידכנו את מדריכי הפריצה בשימוש עם PwnageTool החדשה: http://www.iphones.co.il/forum/thread103637.html והיא מיועדת בעיקר לאלו שמבינים מה הם עושים. כמו כן התוכנה מיועדת אך ורק לפטפורמת המק. בכל אופן ההמלצה היא לא לעדכן לגירסה החדשה, זה סתם חסר טעם. בינתיים החלטתי לסכם את נושא גירסה 3.1.3 כדי שיהיה ברור מה כדאי ומה לא ואיך.

אייפונים

משתמשי ה- 2G
מאחר וגירסת המודם שלכם לא משתנה כבר זה זמן רב מאוד אתם יכולים לשדרג לגירסה 3.1.3 בלי חשש ולפרוץ את המכשיר שלכם (במידת הצורך) או עם redsn0w או לבצע את השדרוג עם קובץ מותאם שניצור עם PwnageTool 3.1.5. (בדקו במדריכים המתאימים בפורום מדריכים) אחרי הפריצה יש להתקין את bootneuter במידה ואין קליטה.

משתמשי ה- 3G
בעלי הסימפרי יכולים לעדכן את המכשיר שלהם גם לגירסה 3.1.3 ולפרוץ אותה בשימוש עם redsn0w או מנגד לשדרג עם קובץ מותאם שנוצר עם PwnageTool 3.1.5.

משתמשי ה- 3G שהוא לא סימפרי, ההמלצה היא לא לשדרג בכלל לגירסה החדשה אבל אם כבר שידרגתם את המכשיר שלכם, בטעות או במכוון אז כרגע אין שום פריצה לגירסת המודם החדשה ואתם נשארתם עם מכשיר שהוא אייפוד טאץ'. לשם פריצת המכשיר אתם יכולים להשתמש בתוכנת redsn0w. כמו כן מי מכם שרוצה (מסיבות לא מובנות) לשדרג לגירסה החדשה יוכל לעשות זאת רק אם גירסת המודם של המכשיר שלו היא 04.26.08 וזאת בשימוש עם קובץ קסטום שנוצר עם PwnageTool 3.1.5.

משתמשי ה- 3Gs
בעלי הסימפרי יכולים לעדכן את המכשיר שלהם גם לגירסה 3.1.3 ולפרוץ אותה בשימוש עם redsn0w או מנגד לשדרג עם קובץ מותאם שנוצר עם PwnageTool 3.1.5.
שימו לב שלא ניתן להשתמש בתוכנת PwnageTool 3.1.5 כדי לפרוץ את המכשיר שלכם במידה ואתם כבר נמצאים על גירסה 3.1.3. כך שמי שרצה לשדרג את המכשיר שלו ואז להשתמש בקובץ הקסטום כדי לפרוץ לא יוכל לעשות זאת והוא (או היא) יצטרכו לשנמך את המכשיר לגירסה 3.1.2 ולבצע את הרסטור עם קובץ הקסטום (המדריכים נמצאים בפורום מדריכים). זהו תהליך די מיותר מאחר והגירסה החדשה לא מציעה שום אפשרויות חדשות או שיפורים משמעותיים.

משתמשי ה- 3Gs שהוא לא סימפרי, ההמלצה היא לא לשדרג בכלל לגירסה החדשה אבל אם כבר שידרגתם את המכשיר שלכם, בטעות או במכוון אז כרגע אין שום פריצה לגירסת המודם החדשה ואתם נשארתם עם מכשיר שהוא נעול והמקסימום שתוכלו לעשות הוא לשנמך את גירסת המכשיר ל- 3.1.2 (במידה ושמרתם את חתימות ה- ECID) ולפרוץ אותו לשימוש בתור אייפוד טאץ'. כמו כן מי מכם שרוצה (מסיבות לא מובנות) לשדרג לגירסה החדשה יוכל לעשות זאת רק אם גירסת המודם של המכשיר שלו היא 04.26.08 וזאת בשימוש עם קובץ קסטום שנוצר עם PwnageTool 3.1.5.


אייפודים
בעלי האייפוד טאץ' דור 1 או אלו שהם בעלי אייפוד טאץ' דור 2 עם גירסת הבוטרום הישנה יכולים לשדרג לגירסה החדשה ולפרוץ את המכשיר שלהם עם תוכנת redsn0w. מי שלא בטוח לגבי גירסת הבוטרום שלו אז יבדוק לפי הסיריאלי של המכשיר כאשר סיריאלים של ה- IPT2 עם גירסת הבוטרום החדשה מתחילים בתווים "MC". בכל אופן מי שלא בטוח שלא ינסה עד שהוא בטוח ב-100%.

בעלי האייפוד טאץ' דור 3 או בעלי האייפוד טאץ' דור 2 עם גירסת הבוטרום החדשה לא יכולים לפרוץ את המכשיר שלהם לגירסה החדשה ויהי מה! כך שגם אין מה לנסות או לבדוק כי זה פשוט לא אפשרי.

לסיכום
אני מקווה שתעזרו במדריכים המתאימים וחשוב יותר תבדקו טוב טוב לפני שדרוג לגירסה החדשה. גם אם לחצתם על לחצן האישור יש לכם מספיק זמן לנתק את המכשיר מהמחשב מבלי לעדכן אותו כך שיש לשים לב ולא ללחוץ אישור מבלי לראות על מה לחצתם. נכון לעכשיו תוכנות הפריצה היחידות שעוד איכשהו מצליחות להתמודד עם גירסה 3.1.3 הן התוכנות של ה- dev team לא מומלץ להתפתות ולנסות תוכנות אחרות שמבטיחות פריצה מאחר שהן רק יוצרות נזקים.